//-------------------------
//---LIGHT TEXTURES---
//-------------------------


textures/dfwc2021_mega/u_lamp4
{
	qer_editorimage textures/dfwc2021_mega/u_lamp4.tga
	q3map_lightimage textures/dfwc2021_mega/u_lamp4_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/dfwc2021_mega/u_lamp4.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dfwc2021_mega/u_lamp4_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/dfwc2021_mega/u_lamp5
{
	qer_editorimage textures/dfwc2021_mega/u_lamp5.tga
	q3map_lightimage textures/dfwc2021_mega/u_lamp5_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/dfwc2021_mega/u_lamp5.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dfwc2021_mega/u_lamp5_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/dfwc2021_mega/square_light
{
	qer_editorimage textures/dfwc2021_mega/square_light.tga
	q3map_surfacelight 2000
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dfwc2021_mega/square_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dfwc2021_mega/square_light_add.tga
		blendfunc GL_ONE GL_ONE
	}
}



//---------------------------------------
//---FX TEXTURES---
//---------------------------------------



textures/dfwc2021_mega/weapflare_orange
{
	qer_editorimage textures/dfwc2021_mega/weapflare_orange.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	{
		map textures/dfwc2021_mega/weapflare_orange.tga
		blendfunc add
	}
}

textures/dfwc2021_mega/beam
{
	qer_editorimage textures/dfwc2021_mega/beam.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	deformVertexes autosprite2
	{
		map textures/dfwc2021_mega/beam.tga
                blendFunc GL_SRC_ALPHA GL_ONE
        }  
}

textures/dfwc2021_mega/beam_blue
{
	qer_editorimage textures/dfwc2021_mega/beam_blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	{
		map textures/dfwc2021_mega/beam_blue.tga
		blendfunc add
		tcMod scroll 0.3 0
	}
	{
		map textures/dfwc2021_mega/beam_blue_line.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 3 3
	}
}

textures/dfwc2021_mega/fan_mega
{
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		clampmap textures/dfwc2021_mega/fan_mega.tga
		tcMod rotate -150
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/dfwc2021_mega/floor_metal_wet
{
	qer_editorimage textures/dfwc2021_mega/floor_metal.tga
	surfaceparm slick
	surfaceparm ob
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		rgbgen wave sin .15 0 0 0
	}
	{
		map textures/dfwc2021_mega/floor_metal.tga
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .1 .1
		rgbgen identity	
	}
	{
		map textures/dfwc2021_mega/floor_metal.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}
	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}



//--------------------------
//---TRANSPARENT TEXTURES---
//--------------------------


textures/dfwc2021_mega/support
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/dfwc2021_mega/support.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dfwc2021_mega/grate
{
	qer_editorimage textures/dfwc2021_mega/grate.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	{
		map textures/dfwc2021_mega/grate.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dfwc2021_mega/decal_stain
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/dfwc2021_mega/decal_stain.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/dfwc2021_mega/concrete_perso_B0_arrow
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/dfwc2021_mega/concrete_perso_B0_arrow.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dfwc2021_mega/concrete_perso_B2_arrow
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/dfwc2021_mega/concrete_perso_B2_arrow.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dfwc2021_mega/concrete_perso_B0-B1_arrow
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/dfwc2021_mega/concrete_perso_B0-B1_arrow.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dfwc2021_mega/electrik_warning
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/dfwc2021_mega/electrik_warning.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dfwc2021_mega/exit_arrow
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	polygonoffset
	{
		map textures/dfwc2021_mega/exit_arrow.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/dfwc2021_mega/cracks
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/dfwc2021_mega/cracks.tga
		blendfunc add
	}
}

textures/dfwc2021_mega/weyland_screen
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/dfwc2021_mega/weyland_screen.tga
		blendfunc add
	}
}

textures/dfwc2021_mega/advertizing
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/dfwc2021_mega/advertizing.tga
		blendfunc add
	}
}

textures/dfwc2021_mega/disclaimer
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/dfwc2021_mega/disclaimer.tga
		blendfunc add
	}
}

textures/dfwc2021_mega/credits
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/dfwc2021_mega/credits.tga
		blendfunc add
	}
}

textures/dfwc2021_mega/gauntlet
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/dfwc2021_mega/gauntlet.tga
		blendfunc add
	}
}

textures/dfwc2021_mega/gauntlet_end
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/dfwc2021_mega/gauntlet_end.tga
		blendfunc add
	}
}




//---------------------------
//---LOGOS/DESIGN TEXTURES---
//---------------------------




textures/dfwc2021_mega/circle_RL
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/dfwc2021_mega/circle_RL.tga
		blendfunc add
		tcMod turb 0 0.03 0.25 0.33
	}
}

textures/dfwc2021_mega/circle_PG
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/dfwc2021_mega/circle_PG.tga
		blendfunc add
		tcMod turb 0 0.03 0.25 0.33
	}
}

textures/dfwc2021_mega/circle_init
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/dfwc2021_mega/circle_init.tga
		blendfunc add
		tcMod turb 0 0.03 0.25 0.33
	}
}

textures/dfwc2021_mega/circle_env
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/dfwc2021_mega/circle_env.tga
		blendfunc add
		tcMod turb 0 0.03 0.25 0.33
	}
}

textures/dfwc2021_mega/red_lines
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 400
	cull disable
	{
		map textures/dfwc2021_mega/red_lines.tga
		blendfunc add
	}
}

textures/dfwc2021_mega/yellow_lines
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 250
	cull disable
	{
		map textures/dfwc2021_mega/yellow_lines.tga
		blendfunc add
	}
}

textures/dfwc2021_mega/purple_lines
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 250
	cull disable
	{
		map textures/dfwc2021_mega/purple_lines.tga
		blendfunc add
	}
}

textures/dfwc2021_mega/orange_lines
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 250
	cull disable
	{
		map textures/dfwc2021_mega/orange_lines.tga
		blendfunc add
	}
}

textures/dfwc2021_mega/dfwc_banner
{
	q3map_lightimage textures/dfwc2021_mega/dfwc_banner.tga
	q3map_surfacelight 100
	{
		map textures/dfwc2021_mega/dfwc_banner.tga
		rgbGen wave square 0 1 0 0.5 
	}
	{
		map textures/dfwc2021_mega/dfwc_banner_line.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 3 3
	}
	{
		map textures/dfwc2021_mega/dfwc_banner_fog.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 3 3
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map $lightmap 
		blendfunc add
		rgbGen wave sin 0.25 0 0 0 
		tcMod scale 0.5 0.5
		tcGen environment 
	}
}



//-----------------------------------
//---WATER/FOG/FIRE/SMOKE TEXTURES---
//-----------------------------------



textures/dfwc2021_mega/splash
{
	qer_editorimage textures/dfwc2021_mega/splash.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		clampmap textures/dfwc2021_mega/splash.tga
		blendfunc add
		rgbGen wave sin 0.35 0.35 0 1.8 
		tcMod rotate 10
		tcMod stretch sawtooth 1 0.5 0.25 1.8 
	}
	{
		clampmap textures/dfwc2021_mega/splash.tga
		blendfunc add
		rgbGen wave sin 0.35 0.35 0.3 1.8 
		tcMod rotate -8
		tcMod stretch sawtooth 1 0.5 0.55 1.8 
	}
	{
		clampmap textures/dfwc2021_mega/splash.tga
		blendfunc add
		rgbGen wave sin 0.35 0.35 0.6 1.8 
		tcMod rotate 2
		tcMod stretch sawtooth 1 0.5 0.85 1.8 
	}
}

textures/dfwc2021_mega/splash2
{
	qer_editorimage textures/dfwc2021_mega/eclaboussure.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		clampmap textures/dfwc2021_mega/eclaboussure.tga
		blendfunc add
		rgbGen wave sin 0.35 0.35 0 1.8 
		tcMod rotate 10
		tcMod stretch sawtooth 1 0.5 0.25 1.8 
	}
	{
		clampmap textures/dfwc2021_mega/eclaboussure.tga
		blendfunc add
		rgbGen wave sin 0.35 0.35 0.3 1.8 
		tcMod rotate -8
		tcMod stretch sawtooth 1 0.5 0.55 1.8 
	}
	{
		clampmap textures/dfwc2021_mega/eclaboussure.tga
		blendfunc add
		rgbGen wave sin 0.35 0.35 0.6 1.8 
		tcMod rotate 2
		tcMod stretch sawtooth 1 0.5 0.85 1.8 
	}
}

textures/dfwc2021_mega/eclaboussure
{
	qer_editorimage textures/dfwc2021_mega/eclaboussure.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		clampmap textures/dfwc2021_mega/eclaboussure.tga
		blendfunc add
		rgbGen wave sin 0 1.25 2.45 0.8 
		tcMod rotate 8
		tcMod stretch sawtooth 0.75 0.5 2.45 0.8
	}
}

textures/dfwc2021_mega/eclaboussure2
{
	qer_editorimage textures/dfwc2021_mega/eclaboussure.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		clampmap textures/dfwc2021_mega/eclaboussure.tga
		blendfunc add
		rgbGen wave sin 0 1.25 1.1 1 
		tcMod rotate 10
		tcMod stretch sawtooth 0.75 0.5 1.1 1 
	}
}

textures/dfwc2021_mega/eclaboussure3
{
	qer_editorimage textures/dfwc2021_mega/eclaboussure.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		clampmap textures/dfwc2021_mega/eclaboussure.tga
		blendfunc add
		rgbGen wave sin 0 1.25 1.45 0.9
		tcMod rotate 12
		tcMod stretch sawtooth 0.75 0.5 1.45 0.9
	}
}



//Taken from dk_msg4_ctf
textures/dfwc2021_mega/waterleak
{
	qer_editorimage textures/dfwc2021_mega/waterleak.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	sort 11
	cull disable
	{
		map textures/dfwc2021_mega/waterleak.tga
		blendfunc blend
		tcMod scroll 0 2.25
	}
	{
		map textures/dfwc2021_mega/waterleak.tga
		blendfunc blend
		tcMod scroll 0 1.75
	}
}

textures/dfwc2021_mega/flame1
{
	qer_editorimage textures/dfwc2021_mega/flame1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	q3map_surfacelight 100
	{
		animmap 10 textures/dfwc2021_mega/flame1.tga textures/dfwc2021_mega/flame2.tga textures/dfwc2021_mega/flame3.tga textures/dfwc2021_mega/flame4.tga textures/dfwc2021_mega/flame5.tga textures/dfwc2021_mega/flame6.tga textures/dfwc2021_mega/flame7.tga textures/dfwc2021_mega/flame8.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 10 
	}
	{
		animmap 10 textures/dfwc2021_mega/flame2.tga textures/dfwc2021_mega/flame3.tga textures/dfwc2021_mega/flame4.tga textures/dfwc2021_mega/flame5.tga textures/dfwc2021_mega/flame6.tga textures/dfwc2021_mega/flame7.tga textures/dfwc2021_mega/flame8.tga textures/dfwc2021_mega/flame1.tga 
		blendfunc add
		rgbGen wave sawtooth 0 1 0 10 
	}
}

textures/dfwc2021_mega/water
{
	//qer_trans 0.5
	qer_editorimage textures/dfwc2021_mega/water.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	noMipMaps
	cull none
	//deformVertexes normal .15 2 
	//deformVertexes bulge 128 5 2	
	{
		map textures/dfwc2021_mega/water.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//blendfunc GL_SRC_ALPHA GL_ONE //"add" instead of "alpha blend"
		rgbGen identity
		alphaGen vertex	
		tcmod scale 1 1			
		tcMod turb 0 .15 0 .05	
	}	
	{
		map textures/dfwc2021_mega/water2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//blendfunc GL_SRC_ALPHA GL_ONE //"add" instead of "alpha blend"
		rgbGen identity
		alphaGen vertex	
		tcmod scale 1 1			
		tcMod turb 0 -.15 0 -.03				
	}			
}

textures/dfwc2021_mega/mega_fog
{
	qer_editorimage textures/dfwc2021_mega/mega_fog.tga
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 300
	q3map_globaltexture
	fogparms ( 0.55 0.11 0.1 ) 300
	{
		map textures/dfwc2021_mega/mega_fog_clouds.tga
		blendfunc filter
		rgbGen identity
		tcMod scale -0.05 -0.05
		tcMod scroll 0.01 -0.01
	}
	{
		map textures/dfwc2021_mega/mega_fog_clouds.tga
		blendfunc filter
		rgbGen identity
		tcMod scale 0.05 0.05
		tcMod scroll 0.01 -0.01
	}
}

textures/dfwc2021_mega/smoke1
{
	qer_editorimage textures/dfwc2021_mega/smoke1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		animmap 10 textures/dfwc2021_mega/smoke1.tga textures/dfwc2021_mega/smoke2.tga textures/dfwc2021_mega/smoke3.tga textures/dfwc2021_mega/smoke4.tga textures/dfwc2021_mega/smoke5.tga textures/dfwc2021_mega/smoke6.tga textures/dfwc2021_mega/smoke7.tga textures/dfwc2021_mega/smoke8.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 10 
	}
	{
		animmap 10 textures/dfwc2021_mega/smoke2.tga textures/dfwc2021_mega/smoke3.tga textures/dfwc2021_mega/smoke4.tga textures/dfwc2021_mega/smoke5.tga textures/dfwc2021_mega/smoke6.tga textures/dfwc2021_mega/smoke7.tga textures/dfwc2021_mega/smoke8.tga textures/dfwc2021_mega/smoke1.tga 
		blendfunc add
		rgbGen wave sawtooth 0 1 0 10 
	}
	{
		map textures/dfwc2021_mega/smoke_start.tga
		blendfunc add
		rgbGen wave sin 0.6 0.2 0 0.6 
	}
}

textures/dfwc2021_mega/goutte
{
	qer_editorimage textures/dfwc2021_mega/goutte.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/dfwc2021_mega/goutte.tga
		blendfunc add
		tcMod scroll 0 -0.8
	}
}

textures/dfwc2021_mega/goutte2
{
	qer_editorimage textures/dfwc2021_mega/goutte.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/dfwc2021_mega/goutte.tga
		blendfunc add
		tcMod scroll 0 -1
	}
}

textures/dfwc2021_mega/goutte3
{
	qer_editorimage textures/dfwc2021_mega/goutte.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		map textures/dfwc2021_mega/goutte.tga
		blendfunc add
		tcMod scroll 0 -0.9
	}
}



//-------------------------
//---NON SOLID TEXTURES---
//-------------------------


textures/dfwc2021_mega/trim_red_nonsolid
{
    qer_editorimage textures/dfwc2021_mega/trim_red.tga
    surfaceparm nonsolid
    q3map_remapShader textures/dfwc2021_mega/trim_red
}

textures/dfwc2021_mega/trim_8_nonsolid
{
    qer_editorimage textures/dfwc2021_mega/trim_8.tga
    surfaceparm nonsolid
    q3map_remapShader textures/dfwc2021_mega/trim_8
}

textures/dfwc2021_mega/wall_brick_nonsolid
{
    qer_editorimage textures/dfwc2021_mega/wall_brick.tga
    surfaceparm nonsolid
    q3map_remapShader textures/dfwc2021_mega/wall_brick
}

textures/dfwc2021_mega/base_dark_nonsolid
{
    qer_editorimage textures/dfwc2021_mega/base_dark.tga
    surfaceparm nonsolid
    q3map_remapShader textures/dfwc2021_mega/base_dark
}

textures/dfwc2021_mega/u_lamp4_nonsolid
{
    qer_editorimage textures/dfwc2021_mega/u_lamp4.tga
    surfaceparm nonsolid
    q3map_remapShader textures/dfwc2021_mega/u_lamp4
}